<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />

<xsl:template match="root">
<html>
<head>
	<title><xsl:value-of select="//pagetitle" /></title>
	<link rel="stylesheet" href="globalstyle.css" />
</head>

<body>
<div class="topbar">&#160;</div>
<div class="logo">&#160;</div>
<div class="ninja">&#160;</div>
<div class="ninja2">&#160;</div>

<div class="navpos">
<div class="navborder1">
<div class="navborder2">
<div class="navlink"><a href="#">Knowledge</a></div>
<div class="navlink"><a href="#">Weapons</a></div>
<div class="navlink"><a href="#">Stealth</a></div>
<div class="navlink"><a href="#">Poisons</a></div>
<div class="navlink"><a href="#">History</a></div>
</div>
</div>
</div>

<div class="border1">
<div class="border2">

<xsl:apply-templates select="//content" />

</div>
</div>
<div class="spacer">&#160;</div>

</body>
</html>

</xsl:template>


<xsl:template match="//content">
<div class="content">
<xsl:apply-templates select="firstparagraph" />
<xsl:apply-templates select="heading2|paragraph" />
</div>
</xsl:template>

<xsl:template match="firstparagraph">
<div class="firstpara">
<h1><xsl:value-of select="//heading" /></h1>
<p><xsl:value-of select="." /></p>
</div>
</xsl:template>

<xsl:template match="heading2">
<h2><xsl:value-of select="." /></h2>
</xsl:template>

<xsl:template match="paragraph">
<p><xsl:apply-templates /></p>
</xsl:template>

<xsl:template match="image">
<img>
<xsl:attribute name="class"><xsl:value-of select="@class" /></xsl:attribute>
<xsl:attribute name="src"><xsl:value-of select="@src" /></xsl:attribute>
<xsl:attribute name="alt"><xsl:value-of select="@alt" /></xsl:attribute>
</img>
</xsl:template>

</xsl:stylesheet>
